<?php
/**
*
* @package phpBB Extension - Hangman Game
* @copyright (c) 2017 dmzx - http://www.dmzx-web.net
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » “ ” …
//

$lang = array_merge($lang, array(
	'HANGMAN_NO_HANGMANWORDS'		=> 'Pas de pendus',
	'HANGMAN_TOP'					=> 'TOP - ',
	'HANGMAN_RETURN_BACK_OVERVIEW'	=> 'Cliquez %sici%s pour revenir à la vue globale du Pendu',
	'DELETE_MARKED_HANGMEN_SUCCESS' => '%d Pendu(s) ont été supprimé(s) avec succès',
	'DELETE_MARKED_HANGMEN'			=> 'Etes-vous sûr(e) de vouloir supprimer le(s) pendu(s) coché(s) ?',
	'HANGMAN_NO_HIGHSCORES'			=> 'Pas de score pour les pendus',
	'HANGMAN_DELETE'				=> 'Suppression de pendus',
	'CLOSE_WINDOW'					=> 'Fermez la fenêtre',
	'HANGMAN_WINDOW_MODE'			=> 'Cliquez pour jouer en mode fenêtre',
	'HANGMAN_BOARD_DISABLE'			=> 'Désolé le Pendu est désactivé, essayez plus tard.',
	'HANGMAN_VIEW_ONLINE'			=> 'Joue au Pendu',
	'HANGMAN_TITLE'					=> 'Pendu',
	'HANGMAN_OVERALL_HEADLINE'		=> 'Version du Pendu',
	'HANGMAN_DOT'					=> '&#8226;',
	'HANGMAN'						=> 'Pendu',
	'STATUS_GREEN'					=> 'Non trouvé ! <IMG SRC="./images/kf.gif">',
	'STATUS_TIME'					=> '%s Délai dépassé !',
	'STATUS_WON'					=> '%s gagné par: %s <IMG SRC="./images/icon_neutral.gif">',
	'STATUS_UNLIMITED'				=> 'Illimité ! <IMG SRC="./images/temps2.gif">',
	// NAVIGATION
	'HIGHSCORE_PAGE' 				=> 'Classement',
	'PREV_PAGE' 					=> 'Page précédente Page',
	'HELP_PAGE' 					=> 'Aide',
	'NEXT_PAGE' 					=> 'Page suivante',
	'CREATION_PAGE'					=> 'Créer un Pendu',
	'OVERVIEW_PAGE'					=> 'Vue Globale',
	'CREATION_DONE_PAGE' 			=> 'Pendu accepté',
	'TOTAL_HANGMAN_PLAYERS'	=> array(
		1 => '%d joueur',
		2 => '%d joueurs',
	),
	'TOTAL_HANGMANS'	=> array(
		1 => '%d pendu',
		2 => '%d pendus',
	),
	// OVERVIEW
	'HANGMAN_CREATOR' 				=> 'Auteur',
	'HANGMAN_DATE' 					=> 'Date de création',
	'HANGMAN_LEASE_DATE'			=> 'Jours restants',
	'HANGMAN_SUBJECT'				=> 'Sujet',
	'HANGMAN_MAX_TRIES'				=> 'Essais',
	'HANGMAN_STATUS'				=> 'Etat',
	'HANGMAN_QUESS_TABLE'			=> 'Tables des essais des pendus',
	
	// FILTER
	'FILTER_HEADLINE'				=> 'Filtre :&nbsp;',
	'FILTER_UNQUESSED'				=> 'Non testé',
	'FILTER_WON'					=> 'Gagné',
	'FILTER_TIME_UP'				=> 'Terminé',
	'FILTER_SUBMIT'					=> 'Envoyez',
	'FILTER_OWN'					=> 'Mes Pendus',
	'FILTER_OTHERS'					=> 'D\'autres',
	'FILTER_NOFILTER'				=> 'Aucun filtre',
	// STATS
	'HANGMANSTATS_ONLINE'			=> 'Pendu(s) non résolu(s) : %s',
	'HANGMANSTATS_TODAY'			=> 'Pendu(s) créé(s) aujourd\'hui : %s',
	'HANGMANSTATS_WON'				=> 'Pendu(s) trouvé(s) : %s',
	'HANGMANSTATS_BEST'				=> 'Meilleur joueur : %s',
	'HANGMANSTATS_TOTAL'			=> 'Total des pendus : %s',
	//NEW(done)
	'NEW_TITLE'						=> 'Créer un pendu',
	'NEW_SUCESS'					=> 'Pendu créé avec succès',
	'ERROR_HANGMAN_WORD' 			=> 'Impossible de créer un pendu sans indiquer un mot !',
	'ERROR_HANGMAN_SUBJECT'			=> 'Impossible de créer un pendu sans indiquer un sujet !',
	'ERROR_HANGMAN_HELP'			=> 'Impossible de créer un pendu sans indiquer une aide !',
	'ERROR_HANGMAN_TRIES'			=> 'Erreur pour le nombre d\'essais !',
	'ERROR_HANGMAN_LEASE'			=> 'Erreur pour le délai ',
	'ERROR_HANGMAN_TOLONG'			=> 'Votre mot est trop long !',
	'ERROR_HANGMAN_FORBIDDEN_LETTERS'=> 'N\'utiliser que (%s) dans les pendus !<br />Les lettres suivantes ne sont pas acceptées : %s',
	'ERROR_IS_SHORT'				=> 'Votre mot est trop court, il doit comporter au moins <b>%d</b> lettres!',
	'TRY_AGAIN'						=> 'Retour',
	'ERROR_TO_MUCH'					=> 'Vous avez créé trop de pendus. Essayez ultérieurement !',
	
	// CREATE
	'CREATE_SUBJECT'				=> 'Sujet du Pendu',
	'CREATE_HELP'					=> 'Aide du Pendu',
	'CREATE_HELP_HELP'				=> 'Au moins %s lettres!',
	'CREATE_TRIES'					=> 'Essais pour le Pendu',
	'CREATE_DAYS'					=> 'Délai',
	'CREATE_NEW'					=> 'Création de Pendu',
	'CREATE_DAY_HELP'				=> '0 = illimité',
	'CREATE_HANGMAN'				=> 'Mot du Pendu',
	'CREATE_HELP_HANGMAN'			=> '(mini %s lettres, %s lettres maxi)',
	'CREATE_HELP_HANGMAN_UNLIMITED'	=> '(mini %s lettres, pas de limite supérieure)',
	'CREATE_YES'					=> 'Créer',
	'CREATE_NO'						=> 'Annuler',
	'CREATE_RULES_HEADER'			=> 'Règles pour créer un Pendu',
	'CREATE_RULES_TEXT'				=> '<br />* Entrez un titre parlant (ex. Géographie, Chanteur, Actrice, etc)<br />
		* Entrez un mot ou un nom<br />
		* Attention aux lettres<br />
		* Entrez une aide (ex. Capitale européenne)<br /><br />',

	// QUESS
	'HANGMAN_NO_PLAY_PERMISSION'	=> 'Désolé, vous n\'avez pas la permission de jouer au Pendu',
	'HANGMAN_QUESS'					=> 'Essais de pendu',
	'QUESS_LETTERS'					=> 'Lettres :',
	'QUESS_WON_OTHER_WIN'			=> '<strong>Pendu déjà trouvé par %s !</strong>',
	'QUESS_WON_SELF_WIN'			=> '<strong>Félicitations et quelle chance, vous avez découvert ce Pendu !</strong>',
	'QUESS_LOST_WIN'				=> '<strong>Désolé, vous avez perdu ...</strong>',
	'QUESS_WON_OTHER'				=> 'Jeu déjà gagné par %s<br /><br />Cliquez %sici%s pour revenir à la page précédente',
	'QUESS_WON_SELF'				=> 'Félicitations et quelle chance, vous avez découvert le Pendu !<br /><br />Cliquez %sici%s pour revenir à la page précédente',
	'QUESS_LOST'					=> 'Désolé, vous avez perdu<br /><br />Cliquez %sici%s pour revenir à la page précédente',
	'QUESS_WORD'					=> 'Le mot à trouver',
	'HOURS'							=> 'Heure(s)',
	'MINUTES'						=> 'Minute(s)',
	'SECONDS'						=> 'Seconde(s)',
	'QUESS_LOST_RETRY'				=> 'Vous n\'avez pas réussi, vous pourrez rejouer dans %d %s !',
	'QUESS_LOST_RETRY_OVERVIEW' 	=> 'Vous pouvez rejouer dans %d %s!',
	'HANGMAN_SELF'					=> 'Vous avez créé ce pendu !',
	'QUESS_TIME_UP'					=> 'Le délai pour ce pendu est expiré !',
	'QUESS_REMAINING_TRIES'			=> 'Il vous reste %s essais.',
	'QUESS_QUESSORS'				=> 'Ont déjà essayé :&nbsp;&nbsp;',
	'QUESS_NOBODY'					=> 'Personne n\'a encore joué à ce pendu !',
	'TRY_A_WORD'					=> 'Essayez directement un mot :',
	'TRY'							=> 'Essai',	

	// HIGHSCORE
	'HIGHSCORE_USER'		    	=> 'Pseudo',
	'HIGHSCORE_WON'					=> 'Mots trouvés',
	'HIGHSCORE_LOST'				=> 'Jeux perdus',
	'HIGHSCORE_CREATED'				=> 'Pendus crées',
	'HIGHSCORE_POINTS'				=> 'Points',
	'HIGHSCORE_R_LETTERS'			=> 'Bonnes Lettres',
	'HIGHSCORE_W_LETTERS'			=> 'Mauvaises Lettres',
	'HIGHSCORE_ASC'					=> 'Croissant',
	'HIGHSCORE_DESC'				=> 'Décroissant',
	'HIGHSCORE_FILTER_WON'			=> 'Highscores filtrés par gagnants',
	'HIGHSCORE_FILTER_LOST'	  		=> 'Highscores filtrés par perdants',
	'HIGHSCORE_FILTER_SCORE'		=> 'Highscores filtrés par scores',
	'HIGHSCORE_FILTER_CREATED'		=> 'Highscores filtrés par auteurs',
	'HIGHSCORE_FILTER_R_LETTERS'	=> 'Highscores filtrés par bonnes lettres',
	'HIGHSCORE_FILTER_W_LETTERS'	=> 'Highscores filtrés mauvaises lettres',
	'ORDER_BY_WON'					=> 'gagnés',
	'ORDER_BY_LOST'					=> 'perdus',
	'ORDER_BY_CREATED'				=> 'auteur',
	'ORDER_BY_POINTS'				=> 'points',
	'ORDER_BY'						=> 'Tri par',
	'ORDER_BY_R_LETTERS'			=> 'bonnes lettres',
	'ORDER_BY_W_LETTERS'			=> 'mauvaises lettres',
	
	// HELP
	'ADD_POINTS_PAGE'				=> 'Points supplémentaires',
	'HELP_ADD_POINTS'				=> 'Comme les admins les ont activés, vous pouvez gagner des points supplémentaires si vous créez des Pendus ! Chaque fois qu\'un membre échouera à trouver un de vos pendus, vous gagnerez %1$s points supplémentaires',
	'HELP_TITLE'					=> 'Aide du Pendu',	
	'HELP_OVERVIEW'					=> 'C\'est la page principale. Vous pouvez voir les pendus quand ils sont créés, leurs états et tout le reste.<br />
		Si vous voulez essayer un pendu, il suffit de cliquer sur son sujet. Notez que vous ne pouvez pas jouer à un pendu que vous avez créé vous-même ou dont le délai est expiré ou que vous avez déjà perdu.',				
	'HELP_CREATION'					=> 'C\'est la page principale pour créer un pendu, notez que<strong> TOUS </strong>les champs doivent être renseignés !<br /> 
		Le Sujet est le lien pour le Pendu, ainsi qu\'une indication pour les joueurs. Une indication supplémentaire est donnée dans l\'aide, bbcode and smilies sont activés !<br />
		Le mot du Pendu est le mot à trouver par les joueurs et le Délai indique la durée pour trouver le mot.<br />
		Le nombre d\'essais maxi correspond au nombre de mauvaises lettres possibles avant d\'avoir perdu ou avant de pouvoir recommencer.<br />',		
	'HELP_HIGHSCORE'				=> 'C\'est la page où sont affichés les meilleurs joueurs - pour trier, voyez le lien en bas à gauche.<br />',				
	'HELP_POINTS'					=> 'Les Admins ont activé les <strong>%5$s</strong>, vous pouvez donc en gagner ou en perdre de votre %5$s cash : <br />
		<strong>Perdre un Pendu</strong> -> Vous perdrez <strong>%1$s</strong> %5$s<br />
		<strong>Gagner un Pendu</strong> -> Vous recevrez <strong>%2$s</strong> %5$s<br />
		<strong>Trouver un caractère</strong> -> Vous recevrez <strong>%3$s</strong> %5$s<br />
		<strong>Créer un Pendu</strong> -> Vous recevrez <strong>%4$s</strong> %5$s.<br />',				 
	'HELP_HIGHSCORE_SYSTEM'			=> 'Le système interne de points du Pendu est réglé comme suit :<br />
		<strong>Perdre un Pendu</strong> -> Vous perdrez <strong>%4$s</strong> Points<br />
		<strong>Gagner un Pendu</strong> -> Vous recevrez <strong>%2$s</strong> Points<br />
		<strong>Trouver un caractère</strong> -> Vous recevrez <strong>%3$s</strong> Points<br />
		<strong>Créer un Pendu</strong> -> Vous recevrez <strong>%1$s</strong> Points<br /><br />',
	'UPS_HIGHSCORE_PAGE'			=> 'Ultimate Points System',

	// ERRORS
	'ERROR_UPDATE_SCORE'			=> 'Erreur dans la mise à jour des scores !',
	'ERROR_DELETE_HANGMAN'			=> 'Erreur dans la suppression !',
	'ERROR_GET_HANGMAN'				=> 'Erreur pour récupérer des données !',
	'ERROR_GET_WINNER'				=> 'Erreur pour récupérer le gagnant !',
	'ERROR_SET_HANGMAN'				=> 'Erreur pour régler les données !',
	'ERROR_GET_HIGHSCORE'			=> 'Erreur dans la récupération des highscores !',
	'ERROR_ADMINISTRATION'			=> 'Erreur par l\'administration!',
	'ERROR_GET_CONFIG'				=> 'Impossible de lire la config!',
	'ERROR_SET_CONFIG'				=> 'Impossible de régler une nouvelle config!',
	'ERROR_ONLY_ADMIN_CREATE'		=> 'Désolé, vous n\'avez pas la permission de créer un Pendu',
	'ERROR_GET_USERNAME'			=> 'Impossible de trouver le pseudo !',
	'ACP_RESET'						=> 'Annuler',
	'ACP_MULTIDELETE_GO'			=> 'Supprimer les cochés',
));
