<?php
/**
*
* @package phpBB Extension - Hangman Game
* @copyright (c) 2017 dmzx - http://www.dmzx-web.net
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace dmzx\hangmangame\migrations;

class hangmangame_schema extends \phpbb\db\migration\migration
{
	public function update_schema()
	{
		return array(
			'add_tables'	=> array(
				$this->table_prefix . 'hangman_quess'	=> array(
					'COLUMNS'	=> array(
						'user_id'			=> array('UINT:8', 0),
						'hangman_id'		=> array('UINT:8', 0),
						'tries'				=> array('TINT:2', null),
						'lost_time'			=> array('TIMESTAMP', null),
						'quess_count'		=> array('USINT', 1),
					),
					'PRIMARY_KEY'	=> array('user_id', 'hangman_id'),
				),
				$this->table_prefix . 'hangman_config'	=> array(
					'COLUMNS'	=> array(
						'config_name'		=> array('VCHAR', ''),
						'config_value'		=> array('VCHAR', ''),
					),
					'PRIMARY_KEY'	=> 'config_name',
				),
				$this->table_prefix . 'hangman_score'	=> array(
					'COLUMNS'	=> array(
						'user_id'			=> array('UINT:8', 0),
						'created'			=> array('UINT:8', 0),
						'won'				=> array('UINT:8', 0),
						'lost'				=> array('UINT:8', 0),
						'points'			=> array('INT:8', 0),
						'r_letters'			=> array('UINT:8', 0),
						'w_letters'			=> array('UINT:8', 0),
					),
					'PRIMARY_KEY'	=> 'user_id',
				),
				$this->table_prefix . 'hangman_words'	=> array(
					'COLUMNS'	=> array(
						'hangman_id'			=> array('UINT:8', null, 'auto_increment'),
						'user_id'				=> array('UINT:8', 0),
						'hangman_word'			=> array('MTEXT_UNI', ''),
						'hangman_help'			=> array('MTEXT_UNI', ''),
						'hangman_subject'		=> array('VCHAR', ''),
						'max_tries'				=> array('TINT:2', null),
						'time_created'			=> array('TIMESTAMP', 0),
						'time_limit'			=> array('TIMESTAMP', 0),
						'bwon'					=> array('BOOL', 0),
						'quessed_letters'		=> array('VCHAR:35', ''),
						'bbcode_uid'			=> array('VCHAR:8', ''),
						'bbcode_bitfield'		=> array('VCHAR', ''),
						'bbcode_flags'			=> array('TIMESTAMP', 0),
						'help_bbcode_uid'		=> array('VCHAR:8', ''),
						'help_bbcode_bitfield'	=> array('VCHAR', ''),
						'help_bbcode_flags'		=> array('TIMESTAMP', 0),
						'winner'				=> array('UINT:8', 0),
					),
					'PRIMARY_KEY'	=> 'hangman_id',
				),
			),
		);
	}

	public function revert_schema()
	{
		return 	array(
			'drop_tables' => array(
				$this->table_prefix . 'hangman_quess',
				$this->table_prefix . 'hangman_config',
				$this->table_prefix . 'hangman_score',
				$this->table_prefix . 'hangman_words',
			),
		);
	}
}
